Saxon API for .NET |

# XdmNode.EnumerateAxis Method (XdmAxis)

Get an enumerator that supplies all the nodes on one of the XPath axes, starting with this node.

public IEnumerator EnumerateAxis(
XdmAxis axis
);

#### Parameters

axis
  The axis to be navigated, for example `XdmAxis.Child` for the child axis.

#### Remarks

The nodes are returned in axis order: that is, document order for a forwards axis, reverse document order for a reverse axis.

#### See Also

XdmNode Class | Saxon.Api Namespace | XdmNode.EnumerateAxis Overload List